GetCodeIssue
Retrieves the current state and details of an issue.
Request Syntax
GET /environments/environmentId/code-issues/issueId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- environmentId
-
The identifier of the environment.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+Required: Yes
- issueId
-
The identifier of the issue.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"confidence": number,
"createdAt": "string",
"evidenceAvailability": "string",
"findingIds": [ "string" ],
"issueArn": "string",
"issueId": "string",
"name": "string",
"patchDelivery": {
"failedCount": number,
"failureReasons": [ "string" ],
"patchCount": number,
"status": "string",
"succeededCount": number
},
"phase": "string",
"severity": "string",
"severityReasoning": "string",
"status": "string",
"statusMessage": "string",
"statusReason": "string",
"statusUpdatedAt": "string",
"summary": "string",
"synopsis": "string",
"updatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- confidence
-
The confidence.
Type: Integer
Valid Range: Minimum value of 0. Maximum value of 100.
- createdAt
-
The timestamp when the resource was created.
Type: Timestamp
- evidenceAvailability
-
The evidence Availability.
Type: String
Valid Values:
NONE | AVAILABLE - findingIds
-
The finding Ids.
Type: Array of strings
Array Members: Minimum number of 1 item. Maximum number of 50 items.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+ - issueArn
-
The Amazon Resource Name (ARN) of the issue.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1011.
Pattern:
arn:[a-z0-9-]+:continuum:[a-z0-9-]+:[0-9]{12}:environments/[a-z0-9]+/code-issues/[a-z0-9]+ - issueId
-
The identifier of the issue.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+ - name
-
The name of the resource.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
- patchDelivery
-
The patch Delivery.
Type: IssuePatchDelivery object
- phase
-
The phase.
Type: String
Valid Values:
VALIDATION | PRIORITIZATION | REMEDIATION - severity
-
The severity.
Type: String
Valid Values:
LOW | MEDIUM | HIGH | CRITICAL - severityReasoning
-
The severity Reasoning.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 4096.
- status
-
The current status of the resource.
Type: String
Valid Values:
CREATED | IN_PROGRESS | COMPLETED | FAILED - statusMessage
-
The status Message.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
- statusReason
-
The status Reason.
Type: String
Valid Values:
INTERNAL_ERROR | REMEDIATION_FAILED - statusUpdatedAt
-
The status Updated At.
Type: Timestamp
- summary
-
The summary.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
- synopsis
-
The synopsis.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 4096.
- updatedAt
-
The timestamp when the resource was last updated.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The request is not authorized. Verify that your credentials and request signature are valid and that you have permission to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request couldn't be processed because of an internal server issue. Try again later. If the problem persists, contact AWS Support.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify that the resource identifier is correct and that the resource exists.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The request failed to satisfy the constraints specified by AWS Continuum. Correct the fields identified in the error and retry the request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: